svn commit: trunk/busybox/testsuite

vda at busybox.net vda at busybox.net
Tue Jul 8 02:57:40 UTC 2008


Author: vda
Date: 2008-07-07 19:57:40 -0700 (Mon, 07 Jul 2008)
New Revision: 22679

Log:
mount: testsuite for "-o mand"



Added:
   trunk/busybox/testsuite/mount.tests


Changeset:
Added: trunk/busybox/testsuite/mount.tests
===================================================================
--- trunk/busybox/testsuite/mount.tests	                        (rev 0)
+++ trunk/busybox/testsuite/mount.tests	2008-07-08 02:57:40 UTC (rev 22679)
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# Copyright 2007 by Denys Vlasenko <vda.linux at googlemail.com>
+# Licensed under GPL v2, see file LICENSE for details.
+
+. testing.sh
+
+test "`id -u`" = 0 || {
+	echo "SKIPPED: must be root to test this"
+	exit 0
+}
+
+dd if=/dev/zero of=image1m count=1 bs=1M 2>/dev/null || exit 1
+mkfs.minix -v image1m >/dev/null 2>&1 || exit 1
+testdir=$PWD/testdir
+mkdir $testdir 2>/dev/null
+umount -d $testdir 2>/dev/null
+
+# testing "test name" "command" "expected result" "file input" "stdin"
+#   file input will be file called "input"
+#   test can create a file "actual" instead of writing to stdout
+
+testing "mount -o remount,mand" \
+"mount -o loop image1m $testdir "\
+"&& grep -Fc $testdir </proc/mounts "\
+"&& mount -o remount,mand $testdir "\
+"&& grep -F $testdir </proc/mounts | grep -c '[, ]mand[, ]'" \
+	"1\n""1\n" \
+	"" ""
+
+umount -d $testdir
+rmdir $testdir
+
+exit $FAILCOUNT


Property changes on: trunk/busybox/testsuite/mount.tests
___________________________________________________________________
Name: svn:executable
   + *




More information about the busybox-cvs mailing list